=== debian/changelog ===
fbzx (2.10.0-1) unstable; urgency=medium

  * Initial release. Closes: #745930.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 Apr 2014 14:05:08 +0200
