=== debian/changelog ===
fbzx (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Use VERSIONS as the upstream changelog.
  * This release builds ok with gcc-5. Closes: #798768.
  * Drop debian/patches/01-fix-makefile-clean-target. No longer needed.
  * Drop debian/patches/04-do-not-use-O2-by-default. No longer needed.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Sep 2015 16:22:34 +0200
