=== debian/control ===
Source: fbzx
Section: contrib/otherosfs
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libsdl1.2-dev
Homepage: http://www.rastersoft.com/fbzx.html
Vcs-Git: https://github.com/rastersoft/fbzx
Vcs-Browser: https://github.com/rastersoft/fbzx

Package: fbzx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, spectrum-roms (>= 20081224-1)
Description: ZX Spectrum emulator
 FBZX is a Sinclair ZX Spectrum emulator for Linux/Unix. It
 can work over X or in a FrameBuffer console.
