=== debian/changelog ===
fbzx (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop 02-do-not-fiddle-with-spectrum-roms, define NOROMS=1 instead.
  * Rename single patch to 01-do-not-install-yet-another-GPL-copy.patch.
  * Standards-Version: 3.9.8 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Tue, 10 Jan 2017 21:06:54 +0100
