=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: contrib/otherosfs
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libsdl1.2-dev
 Homepage: http://www.rastersoft.com/fbzx.html
 Vcs-Git: https://github.com/rastersoft/fbzx
