=== src/Makefile ===
FLAGS = -O2

CC=g++ -c $(FLAGS)
CXX=g++ -c $(FLAGS)
LN=g++

CFLAGS += `pkg-config --cflags sdl2 libpulse-simple alsa` -D D_SOUND_PULSE -D D_SOUND_ALSA
CXXFLAGS += `pkg-config --cflags sdl2 libpulse-simple alsa` -D D_SOUND_PULSE -D D_SOUND_ALSA
LDFLAGS += `pkg-config --libs sdl2 libpulse-simple alsa`


fbzx: cargador.o cmdline.o computer.o emulator.o keyboard.o llscreen.o llsound.o menus.o microdrive.o mouse.o osd.o screen.o signals.o spk_ay.o tape.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o
	$(LN) -o fbzx cargador.o cmdline.o computer.o emulator.o keyboard.o llscreen.o llsound.o menus.o microdrive.o mouse.o osd.o screen.o signals.o spk_ay.o tape.o Z80free.o Z80free_codes.o Z80free_codesCB.o Z80free_codesED.o Z80free_codesDD.o Z80free_codesFD.o Z80free_codesDDCB.o Z80free_codesFDCB.o  $(LDFLAGS)

Z80free.o: z80free/Z80free.c z80free/Z80free.h
	$(CXX) -o Z80free.o z80free/Z80free.c

Z80free_codes.o: z80free/Z80free_codes.c z80free/Z80free.h
	$(CXX) -o Z80free_codes.o z80free/Z80free_codes.c

Z80free_codesCB.o: z80free/Z80free_codesCB.c z80free/Z80free.h
	$(CXX) -o Z80free_codesCB.o z80free/Z80free_codesCB.c

Z80free_codesED.o: z80free/Z80free_codesED.c z80free/Z80free.h
	$(CXX) -o Z80free_codesED.o z80free/Z80free_codesED.c

Z80free_codesDD.o: z80free/Z80free_codesDD.c z80free/Z80free.h
	$(CXX) -o Z80free_codesDD.o z80free/Z80free_codesDD.c

Z80free_codesFD.o: z80free/Z80free_codesFD.c z80free/Z80free.h
	$(CXX) -o Z80free_codesFD.o z80free/Z80free_codesFD.c

Z80free_codesDDCB.o: z80free/Z80free_codesDDCB.c z80free/Z80free.h
	$(CXX) -o Z80free_codesDDCB.o z80free/Z80free_codesDDCB.c

Z80free_codesFDCB.o: z80free/Z80free_codesFDCB.c z80free/Z80free.h
	$(CXX) -o Z80free_codesFDCB.o z80free/Z80free_codesFDCB.c

cargador.o: cargador.cpp spk_ay.hh keyboard.hh emulator.hh screen.hh osd.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh cargador.hh
	$(CXX) $(CXXFLAGS) -o cargador.o cargador.cpp

cmdline.o: cmdline.cpp cmdline.hh
	$(CXX) $(CXXFLAGS) -o cmdline.o cmdline.cpp

computer.o: computer.cpp z80free/Z80free.h llsound.hh mouse.hh keyboard.hh computer.hh screen.hh signals.hh llscreen.hh tape.hh emulator.hh osd.hh spk_ay.hh microdrive.hh menus.hh
	$(CXX) $(CXXFLAGS) -o computer.o computer.cpp

emulator.o: emulator.cpp mouse.hh z80free/Z80free.h spk_ay.hh keyboard.hh llsound.hh cmdline.hh computer.hh screen.hh signals.hh llscreen.hh tape.hh emulator.hh osd.hh microdrive.hh menus.hh cargador.hh
	$(CXX) $(CXXFLAGS) -o emulator.o emulator.cpp

keyboard.o: keyboard.cpp emulator.hh screen.hh osd.hh z80free/Z80free.h menus.hh llscreen.hh llsound.hh computer.hh signals.hh tape.hh keyboard.hh
	$(CXX) $(CXXFLAGS) -o keyboard.o keyboard.cpp

llscreen.o: llscreen.cpp osd.hh font.h llscreen.hh
	$(CXX) $(CXXFLAGS) -o llscreen.o llscreen.cpp

llsound.o: llsound.cpp emulator.hh screen.hh osd.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh llsound.hh
	$(CXX) $(CXXFLAGS) -o llsound.o llsound.cpp

menus.o: menus.cpp mouse.hh z80free/Z80free.h spk_ay.hh microdrive.hh keyboard.hh llsound.hh llscreen.hh menus.hh tape.hh signals.hh emulator.hh screen.hh osd.hh computer.hh cargador.hh
	$(CXX) $(CXXFLAGS) -o menus.o menus.cpp

microdrive.o: microdrive.cpp osd.hh emulator.hh screen.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh microdrive.hh
	$(CXX) $(CXXFLAGS) -o microdrive.o microdrive.cpp

mouse.o: mouse.cpp osd.hh keyboard.hh emulator.hh screen.hh z80free/Z80free.h computer.hh signals.hh llscreen.hh tape.hh mouse.hh
	$(CXX) $(CXXFLAGS) -o mouse.o mouse.cpp

osd.o: osd.cpp osd.hh
	$(CXX) $(CXXFLAGS) -o osd.o osd.cpp

screen.o: screen.cpp keyboard.hh computer.hh screen.hh signals.hh llscreen.hh z80free/Z80free.h tape.hh emulator.hh osd.hh
	$(CXX) $(CXXFLAGS) -o screen.o screen.cpp

signals.o: signals.cpp signals.hh
	$(CXX) $(CXXFLAGS) -o signals.o signals.cpp

spk_ay.o: spk_ay.cpp spk_ay.hh llsound.hh computer.hh screen.hh signals.hh llscreen.hh z80free/Z80free.h tape.hh emulator.hh osd.hh
	$(CXX) $(CXXFLAGS) -o spk_ay.o spk_ay.cpp

tape.o: tape.cpp z80free/Z80free.h tape.hh signals.hh emulator.hh screen.hh osd.hh computer.hh llscreen.hh
	$(CXX) $(CXXFLAGS) -o tape.o tape.cpp
