=== debian/changelog ===
fbzx (4.8.0-3) unstable; urgency=medium

  * Add debian/salsa-ci.yml.
  * Add a superficial test.
  * Include the script used to repackage source, for reference.
  * Fix location and contents of fbzx.appdata.xml file.
  * Honor dpkg-buildflags.
  * Do not trim Debian changelog.
  * Add Vcs-Git and Vcs-Browser fields.
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Fri, 10 Jan 2025 15:10:00 +0100

fbzx (4.8.0-2) unstable; urgency=medium

  * Use secure copyright file specification URI.
  * Set upstream metadata fields Bug-Database, Bug-Submit, Repository
    and Repository-Browse.
  * Drop Vcs-Git and Vcs-Browser, superseded by the above.
  * Update standards version to 4.6.2.
  * Run wrap-and-sort.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Feb 2023 17:55:00 +0100

fbzx (4.8.0-1) unstable; urgency=medium

  * New upstream release. Closes: #960883.
  * Update Vcs-Git and Vcs-Browser control fields.

 -- Santiago Vila <sanvila@debian.org>  Tue, 04 Jan 2022 00:20:00 +0100

fbzx (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Homepage. Closes: #978424.
  * Should now build with GCC 11. Closes: #998255.
  * Add "Rules-Requires-Root: no".
  * Update debhelper compatibility version.
  * Standards-Version: 4.5.1 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Tue, 14 Dec 2021 23:20:00 +0100
