=== debian/control ===
Source: fbzx
Section: contrib/otherosfs
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), libsdl2-dev
Homepage: https://rastersoft.com/programas/fbzx.html
Vcs-Git: https://salsa.debian.org/sanvila/fbzx.git
Vcs-Browser: https://salsa.debian.org/sanvila/fbzx
Rules-Requires-Root: no

Package: fbzx
Architecture: any
Depends: spectrum-roms (>= 20081224-1), ${misc:Depends}, ${shlibs:Depends}
Description: ZX Spectrum emulator
 FBZX is a Sinclair ZX Spectrum emulator for Linux/Unix. It
 can work over X or in a FrameBuffer console.
