=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- NOROMS=1 PREFIX=/usr DESTDIR=`pwd`/debian/fbzx

override_dh_installchangelogs:
	dh_installchangelogs --no-trim
