=== debian/tests/control ===
Tests: tests
Restrictions: superficial
